package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.room.service.IWfRoomApplicantService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 申请留宿规则
 */
@Component("wf_room_applicant")
public class WfRoomApplicanNode extends NodeComponent {
    @Autowired
    private IWfRoomApplicantService wfRoomApplicantService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfRoomApplicantService.dataHandle(formId);
        }
    }
}
